# virtualentity_capabilities.yaml
#
# Copyright (C) 2022-2024 Kedron Holdings LLC, All Rights Reserved
# This file is part of Reactor.
#
# *** IMPORTANT ***
# This is a system file. DO NOT place overrides or make modifications here.
---
version: 24274
revision: 1
copyright: Copyright (C) 2022-2024 Kedron Holdings LLC, All Rights Reserved

capabilities:
  x_virtualentity_sys:
    attributes:
      version:
        type: int
    actions: {}

  x_virtualentity:
    attributes:
      template:
        type: string
      last_request_time:
        type: ui8
        default: 0
      request_failures:
        type: int
        default: 0
    actions:
      set_attribute:
        arguments:
          name:
            type: string
          value:
            type: any
      clear_attribute:
        arguments:
          name:
            type: string
      extend_capability:
        arguments:
          name:
            type: string
      remove_capability:
        arguments:
          name:
            type: string
      force_request:
        arguments: {}
